RPM Community Forums

Mailing List Message of <rpm-users>

error: Failed dependencies:

From: Manoj Palhade <mpalhade@googlemail.com>
Date: Tue 02 Feb 2010 - 14:05:21 CET
Message-ID: <67f63fb1002020505h1de04693w74a8e5018293ffe3@mail.gmail.com>
Dear RPM Team,

I am creating RPM package to copy folder. After creating RPM package I tried
to install this RPM package but I am getting following error message.

# rpm -Uvh Opt-sys-1.0-1.x86pc.rpm

error: Failed dependencies:

        /bin/ksh is needed by Opt-sys-1.0-1.x86pc

After searching the content of folder; I found that this folder contains
some script (.sh) files. I removed this files then but packages and
installed. It is working fine.

Also If I remove First line #!/bin/ksh from all shell script; then it is
working fine.

Thanks and Regards,
Manoj Palhade
Received on Tue Feb 2 14:05:39 2010
Driven by Jeff Johnson and the RPM project team.
Hosted by OpenPKG and Ralf S. Engelschall.
Powered by FreeBSD and OpenPKG.